#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDC,0x92,0xAA,0x4C,0x4C,0x30,0x8A,0xE3,0x3A,0x0D,0x43,0xB8,
		0xD7,0xBE,0x46,0x09,0x1C,0xA2,0x96,0x45,0x8E,0xB1,0x74,0xF4,
		0x15,0xD6,0x2C,0x57,0xFC,0x0D,0xBC,0x4E,0x62,0x6B,0xD2,0x14,
		0x9A,0xB2,0x43,0x84,0x5C,0xFD,0x42,0x22,0x35,0xD9,0xAD,0xFA,
		0xA4,0x64,0x34,0x41,0x8E,0x18,0x11,0xB7,0x61,0x4D,0xC1,0xF2,
		0x41,0x2E,0x1C,0x6B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
